Subject: Re: [PATCH 1/2] Make pack creation always fsync() the result

From: "Frank Ch. Eigler" <[email-masked]>
Date: Sat, 31 May 2008 10:19:27 -0400

Hi -

On Fri, May 30, 2008 at 09:08:11AM -0700, Linus Torvalds wrote:

> [fsync on pack creation]
> This means that we can depend on packs always being stable on disk,
> simplifying a lot of the object serialization worries.  And unlike loose
> objects, serializing pack creation IO isn't going to be a performance
> killer. [...]

If you stabilize the outputs of the pack procedure rather than its
inputs, this makes me wonder if ordinary unpacked git objects would
also need some sort of fsync treatment.

- FChE